
#ifndef __DD_HYBRID_TREE_CREATOR_UTILS__
#define __DD_HYBRID_TREE_CREATOR_UTILS__

#include "DDBitSetTreeCreatorUtils.h"
#include "DDPopTreeCreatorUtils.h"

namespace double_description {

    class HybridTreeCreatorUtils : public BitSetTreeCreatorUtils, public PopTreeCreatorUtils {

        public:
        HybridTreeCreatorUtils( const unsigned int maxElementsPerLeaf,
                                const BitList & cutMap,
                                BitSelector & selector,
                                const unsigned int planes,
                                const SamplesContainer & samples ) :
            TreeCreatorUtils( maxElementsPerLeaf, cutMap ),
            BitSetTreeCreatorUtils( maxElementsPerLeaf, cutMap, selector, planes ),
            PopTreeCreatorUtils( maxElementsPerLeaf, cutMap, samples ) {}      
    };
}

#endif // __DD_HYBRID_TREE_CREATOR_UTILS__
