
#ifndef __DD_POP_TREE_MAP_CONDITION__
#define __DD_POP_TREE_MAP_CONDITION__

#include "DDBitList.h"
#include "DDMapCondition.h"

namespace double_description {

	class PopTreeMapCondition : virtual public MapCondition {

		protected:
		const BitList mRegPattern;
		const BitList mInvPattern;

		public:
		PopTreeMapCondition ( const BitList & faceActiveSet, const BitList & regPattern, const BitList & invPattern ) :
			MapCondition( faceActiveSet ),
			mRegPattern( regPattern ),
			mInvPattern( invPattern ) {}
	};
}

#endif // __DD_POP_TREE_MAP_CONDITION__
